//
//  SendMailKit.h
//  SendMailKit
//
//  Created by Stefan on 20.02.13.
//  Copyright (c) 2013 Media Atelier. All rights reserved.
//

#import <Foundation/Foundation.h>
#import "SendMailKitMessage.h"

@interface SendMailKit : NSObject
{
}

@property (strong,nonatomic) NSMutableSet * userScriptsPaths;


+(SendMailKit *)sharedKit;
+(void)editScript;
+(NSString *)defaultScriptPath;
+(NSString *)defaultMailClient;
+(NSString *)defaultMailClientName;
+(BOOL)installScript:(NSString *)path;
+(void)addUserScriptsPath:(NSString *)path;
+(SendMailKitMessage *)messageWithSubject:(NSString *)subject body:(NSString *)body recipient:(NSString *)recipient attachment:(NSString *)attachment;
+(NSString *)temporaryDirectory;
+(NSMenu *)supportedMailClientsMenu;
-(NSString *)pluginsList;

@end
