on composeMail(email_recipient, email_subject, email_content, the_file)
	
	tell application "Airmail 2"
		activate
		set email_content to my findAndReplace(return, "<br>", email_content)
		set theMessage to make new outgoing message with properties {subject:email_subject, content:email_content}
		tell theMessage
			set the_file_path to (POSIX file the_file) as string
			set the_recipients to my splitString(email_recipient, ",")
			repeat with a_recipient in the_recipients
				make new to recipient at end of to recipients with properties {name:"", address:a_recipient}
			end repeat
			set aAttachment to make new mail attachment with properties {filename:the_file}
			compose
		end tell
	end tell
	
end composeMail


on splitString(theString, theDelimiter)
	-- save delimiters to restore old settings
	set oldDelimiters to AppleScript's text item delimiters
	-- set delimiters to delimiter to be used
	set AppleScript's text item delimiters to theDelimiter
	-- create the array
	set theArray to every text item of theString
	-- restore the old setting
	set AppleScript's text item delimiters to oldDelimiters
	-- return the result
	return theArray
end splitString


on findAndReplace(tofind, toreplace, theString)
	set ditd to text item delimiters
	set text item delimiters to tofind
	set textItems to text items of theString
	set text item delimiters to toreplace
	if (class of theString is string) then
		set res to textItems as string
        else -- if (class of TheString is Unicode text) then
		set res to textItems as Unicode text
	end if
	set text item delimiters to ditd
	return res
end findAndReplace

